package com.ruoyi.dashboard.domain.stat;

import com.ruoyi.bst.area.domain.vo.AreaStatVO;
import com.ruoyi.bst.bonus.domain.vo.BonusStatVO;
import com.ruoyi.bst.device.domain.vo.DeviceStatVO;
import com.ruoyi.bst.model.domain.vo.ModelStatVO;
import com.ruoyi.bst.order.domain.vo.OrderStatVO;
import com.ruoyi.system.user.domain.vo.UserStatVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 统计数据VO
 */
@Data
public class StatVO {
    
    @ApiModelProperty("订单统计")
    private OrderStatVO order;

    @ApiModelProperty("分成统计")
    private BonusStatVO bonus;

    @ApiModelProperty("用户统计")
    private UserStatVO user;

    @ApiModelProperty("设备统计")
    private DeviceStatVO device;

    @ApiModelProperty("运营区统计")
    private AreaStatVO area;

    @ApiModelProperty("型号统计")
    private ModelStatVO model;
}
