package com.ruoyi.bst.order.domain.vo;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 订单统计VO
 */
@Data
public class OrderStatVO {

    @ApiModelProperty("订单用户数量")
    private Integer userCount;

    @ApiModelProperty("订单数量")
    private Integer count;

    @ApiModelProperty("订单支付金额")
    private BigDecimal payAmount;

    @ApiModelProperty("订单已退款金额")
    private BigDecimal refundedAmount;

    @ApiModelProperty("订单退款中金额")
    private BigDecimal refundingAmount;

    @ApiModelProperty("今日订单支付金额")
    private BigDecimal todayPayAmount;

    @ApiModelProperty("今日订单退款金额")
    private BigDecimal todayRefundedAmount;

    @ApiModelProperty("今日订单退款中金额")
    private BigDecimal todayRefundingAmount;

}
