package com.ruoyi.dashboard.constants;

import lombok.Data;

/**
 * 统计数据常量
 */
@Data
public class StatKeys {
    // 累计订单用户
    public static final String ORDER_USER_COUNT = "order_user_count";
    // 订单数量
    public static final String ORDER_COUNT = "order_count";
    // 订单支付金额
    public static final String ORDER_PAY_AMOUNT = "order_pay_amount";
    // 订单已退款金额 
    public static final String ORDER_REFUNDED_AMOUNT = "order_refunded_amount";
    // 订单退款中金额
    public static final String ORDER_REFUNDING_AMOUNT = "order_refunding_amount";
    // 订单今日支付金额
    public static final String ORDER_TODAY_PAY_AMOUNT = "order_today_pay_amount";
    // 订单今日退款金额
    public static final String ORDER_TODAY_REFUND_AMOUNT = "order_today_refund_amount";
    // 订单今日退款中金额
    public static final String ORDER_TODAY_REFUNDING_AMOUNT = "order_today_refunding_amount";

    // 分成数量
    public static final String BONUS_COUNT = "bonus_count";
    // 分成总金额
    public static final String BONUS_AMOUNT = "bonus_amount";
    // 分成总退款
    public static final String BONUS_REFUND_AMOUNT = "bonus_refund_amount";

    // 用户数量
    public static final String USER_COUNT = "user_count";
    // 今日新增用户数量
    public static final String USER_TODAY_COUNT = "user_today_count";
    // 用户余额
    public static final String USER_BALANCE = "user_balance";

    // 设备数量
    public static final String DEVICE_COUNT = "device_count";
    // 设备状态数量
    public static final String DEVICE_STATUS_COUNT = "device_status_count";
    // 设备在线状态数量
    public static final String DEVICE_ONLINE_STATUS_COUNT = "device_online_status_count";

    // 运营区数量
    public static final String AREA_COUNT = "area_count";

    // 型号数量
    public static final String MODEL_COUNT = "model_count";
}
