package com.ruoyi.dashboard.domain.stat;

import java.time.LocalDate;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StatQuery {

    @ApiModelProperty("日期范围")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private List<LocalDate> dateRange;

    @ApiModelProperty("是否数据隔离")
    private Boolean scope;

    @ApiModelProperty("查询数据")
    private List<String> keys;

}
