package com.ruoyi.dashboard.utils;

import com.ruoyi.bst.area.domain.AreaQuery;
import com.ruoyi.bst.bonus.domain.BonusQuery;
import com.ruoyi.bst.device.domain.DeviceQuery;
import com.ruoyi.bst.model.domain.ModelQuery;
import com.ruoyi.bst.order.domain.OrderQuery;
import com.ruoyi.dashboard.domain.stat.StatQuery;
import com.ruoyi.system.user.domain.UserQuery;

public class DashboardUtil {

    public static OrderQuery toOrderQuery(StatQuery params) {
        OrderQuery query = new OrderQuery();
        query.setCreateDateRange(params.getDateRange());
        query.setScope(params.getScope());
        return query;
    }

    public static BonusQuery toBonusQuery(StatQuery params) {
        BonusQuery query = new BonusQuery();
        query.setCreateDateRange(params.getDateRange());
        query.setScope(params.getScope());
        return query;
    }

    public static UserQuery toUserQuery(StatQuery query) {
        UserQuery userQuery = new UserQuery();
        userQuery.setScope(query.getScope());
        return userQuery;
    }

    public static DeviceQuery toDeviceQuery(StatQuery query) {
        DeviceQuery deviceQuery = new DeviceQuery();
        deviceQuery.setScope(query.getScope());
        return deviceQuery;
    }

    public static AreaQuery toAreaQuery(StatQuery query) {
        AreaQuery areaQuery = new AreaQuery();
        areaQuery.setScope(query.getScope());
        return areaQuery;
    }

    public static ModelQuery toModelQuery(StatQuery query) {
        ModelQuery modelQuery = new ModelQuery();
        modelQuery.setScope(query.getScope());
        return modelQuery;
    }

}
